[= autogen template m4 =]
[= #
#  Maintainer:	      Bruce Korb <korb@datadesign.com>
#  Created:	      Tue Nov 24 01:07:30 1998
#  Last Modified:     Mon Jun 14 13:56:37 1999				      
#             by:     Bruce Korb <korb@datadesign.com>			      
=][=

_EVAL "dnl " _dne =]
dll
dll  This file defines [=_EVAL test _count=] code tests
dll
[=
_FOR test "\n\ndnl # # # # # # # # # # # # #\n" =]
dnl [=group _up #_ +=]CHECK_[=name _up=]

[=_eval comment _get "dnl " _prefix=]

AC_DEFUN([=group _up #_ +=]CHECK_[=name _up=],[
 AC_MSG_CHECKING([whether [=check=]])
 AC_CACHE_VAL([[=group _down #_ +=]cv_[=name _down=]],[[=

  _CASE type _get =][=

    _ run =]
  AC_TRY_RUN([[=code=]],[[=
     group _down #_ +=]cv_[=name _down=]=yes],[[=
     group _down #_ +=]cv_[=name _down=]=no],[[=
     group _down #_ +=]cv_[=name _down=]=no]
    ) # end of TRY_RUN
   for f in core*
   do
     if test -f $f && test $f -nt conftest${ac_exeext}
     then rm -f $f ; fi
   done[=

    _ link =]
  AC_TRY_LINK([[=code=]],[[=
     group _down #_ +=]cv_[=name _down=]=yes],[[=
     group _down #_ +=]cv_[=name _down=]=no]
    ) # end of TRY_LINK[=

    _ compile =][=

  _ESAC

 =]]) # end of CACHE_VAL

 AC_MSG_RESULT([$[=group _down #_ +=]cv_[=name _down=]])
 if test x$[=group _down #_ +=]cv_[=name _down=] = xyes
 then
   AC_DEFINE(HAVE_[=name _up=], 1,
      [Define this if [=check=]])
 fi
 ]) # end of AC_DEFUN[=

/test=]
